<?php

namespace FiloBlu\DiscountRule\Plugin\Model\Rule\Condition\Product;

use Magento\Framework\Model\AbstractModel;
use Magento\Quote\Api\Data\TotalsInterface;
use Magento\SalesRule\Model\Rule\Condition\Product\Subselect as SalesRuleSubselect;

/**
 * Class Subselect
 * @package FiloBlu\ExtCartRule\Plugin\Model\Rule\Condition\Product
 */
class Subselect
{
    const KEY_BASE_ROW_TOTAL_WITH_TAX = 'base_row_total_incl_tax';

    /**
     * Load attribute options
     *
     * @param $subject SalesRuleSubselect
     * @param $result SalesRuleSubselect
     * @return SalesRuleSubselect
     */
    public function afterLoadAttributeOptions($subject, $result)
    {
        $attributes = $subject->getData('attribute_option');
        $attributes[self::KEY_BASE_ROW_TOTAL_WITH_TAX] = __('total amount (Incl. Tax)');
        $subject->setData('attribute_option', $attributes);
        return $result;
    }

}
